Privacy Badger
==============
Privacy Badger is a browser extension that automatically learns to block invisible trackers. Instead of keeping lists of what to block, Privacy Badger automatically discovers trackers based on their behavior.

Privacy Badger sends the [Global Privacy Control](https://globalprivacycontrol.org/) signal to opt you out of data sharing and selling, and the [Do Not Track](https://www.eff.org/issues/do-not-track) signal to tell companies not to track you. If trackers ignore your wishes, Privacy Badger will learn to block them.

Besides automatic tracker blocking, Privacy Badger comes with privacy features like [click-to-activate replacements](https://www.eff.org/deeplinks/2024/01/privacy-badger-puts-you-control-widgets) for potentially useful trackers (video players, comments widgets, etc.), and link cleaning on [Facebook](https://www.eff.org/deeplinks/2018/05/privacy-badger-rolls-out-new-ways-fight-facebook-tracking) and [Google](https://www.eff.org/deeplinks/2023/09/new-privacy-badger-prevents-google-mangling-more-your-links-and-invading-your).

To learn more, see [the FAQ on Privacy Badger's homepage](https://privacybadger.org/#faq).

Privacy Badger is a project of the [Electronic Frontier Foundation](https://www.eff.org), and is governed by [EFF's Public Projects Code of Conduct](https://www.eff.org/pages/eppcode).

## Installing

To install Privacy Badger, visit the [Privacy Badger homepage](https://privacybadger.org/).


## Contributing

We're glad you want to help! Please see [our contributor guide](/CONTRIBUTING.md).


## Getting in touch

Besides using the [issue tracker](https://github.com/EFForg/privacybadger/issues) or the [discussions forum](https://github.com/EFForg/privacybadger/discussions) right here on GitHub, you could [send us an email](mailto:extension-devs@eff.org), interact with [@privacybadger](https://mastodon.social/@privacybadger) on Mastodon, or join the [Privacy Badger mailing list](https://lists.eff.org/mailman/listinfo/privacybadger).

We also hold public meetings using [Jitsi audio conferencing](https://meet.jit.si/PoliteBadgersSingEuphoricly):
- Mondays at 10:30 AM [Pacific Time](https://en.wikipedia.org/wiki/Pacific_Time_Zone)
- Thursdays at 01:00 PM Pacific Time


## License

Privacy Badger is licensed under the GPLv3+. See [LICENSE](/LICENSE) for more details.
